Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class ITensionLineOnCurve

    java.lang.Object
      igeo.IObject
          igeo.ICurve
              igeo.ITensionLineOnCurve

All Implemented Interfaces:
  ICurveI, ICurveOp, IParameter, ITransformable

    public class ITensionLineOnCurve

extends ICurve

Class of IDynamicObject to simulate tension force between two particles.

Field Summary
`ITensionOnCurve` | `tensionDynamics`

Fields inherited from class igeo.ICurve
`curve`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server`

Constructor Summary
`ITensionLineOnCurve(IParticleOnCurve p1, IParticleOnCurve p2)`
`ITensionLineOnCurve(IParticleOnCurve p1, IParticleOnCurve p2, double tension)`

Method Summary
`void` | `initTensionLine(IParticleOnCurve p1, IParticleOnCurve p2)`
`double` | `tension()`
`ITensionLineOnCurve` | `tension(double tension)`

Methods inherited from class igeo.ICurve
`add, add, add, add, add, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, cp, cp, cp, cp, cp, cp, cpNum, cpNum, cpNum, cps, createGraphic, deg, deg, deg, div, div, dup, end, endCP, ep, ep, epNum, epNum, epNum, flip, get, hide, hsb, hsb, hsb, hsb, initCurve, isClosed, isClosed, isClosed, isRational, isRational, isRational, isValid, knot, knot, knotNum, knotNum, knotNum, knots, knots, knots, layer, len, len, len, mirror, mirror, mul, mul, mv, mv, mv, name, neg, num, num, num, pt, pt, ref, ref, rev, rot, rot, rot, rot, rot, rot, scale, scale, scale, scale, scale1d, scale1d, scale1d, scale1d, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, setHSBColor, setHSBColor, shear, shear, shear, shear, shearXY, shearXY, shearXY, shearXY, shearYZ, shearYZ, shearYZ, shearYZ, shearZX, shearZX, shearZX, shearZX, show, start, startCP, sub, sub, sub, tan, tan, transform, transform, transform, transform, translate, translate, translate, u, u, uend, uend, uend, ustart, ustart, ustart`

Methods inherited from class igeo.IObject
`addDynamics, attr, attr, clearDynamics, clearGraphics, clr, del, deletDynamics, deleteDynamics, deleteDynamics, deleteGraphic, dynamicsNum, getColor, getDynamics, getGraphic, getGraphic, getParameter, graphicsNum, initGraphic, initObject, isVisible, layer, name, resetGraphic, server, setParameter, syncColor, updateGraphic, visible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tensionDynamics

    public ITensionOnCurve tensionDynamics

Constructor Detail

### ITensionLineOnCurve

    public ITensionLineOnCurve(IParticleOnCurve p1,
                               IParticleOnCurve p2)

### ITensionLineOnCurve

    public ITensionLineOnCurve(IParticleOnCurve p1,
                               IParticleOnCurve p2,
                               double tension)

Method Detail

### initTensionLine

    public void initTensionLine(IParticleOnCurve p1,
                                IParticleOnCurve p2)

### tension

    public double tension()

### tension

    public ITensionLineOnCurve tension(double tension)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD